Public Attributes | List of all members
pwm_none_coding_init_t Struct Reference
Peripheral Driver » HAL Driver » PWM » Structures » PWM Configuration

PWM None Coding Init Structure definition. More...

`#include <gr533x_hal_pwm.h>`

## Public Attributes
uint32_t | align
uint32_t | freq
uint32_t | bperiod
uint32_t | hperiod
uint32_t | bstoplvl
pwm_none_coding_channel_init_t | channel_a
pwm_none_coding_channel_init_t | channel_b
pwm_none_coding_channel_init_t | channel_c

## Detailed Description

PWM None Coding Init Structure definition.

Definition at line 165 of file gr533x_hal_pwm.h.

## Member Data Documentation

## ◆ align

uint32_t pwm_none_coding_init_t::align

Specifies the PWM alignment mode with three channels This parameter can be a value of PWM_Alignment_Mode

Definition at line 167 of file gr533x_hal_pwm.h.

## ◆ bperiod

uint32_t pwm_none_coding_init_t::bperiod

Specifies the PWM breath period in breath mode. Unit: ms. This parameter must be a number between 0 ~ 0xFFFFFFFF/SystemFreq*1000.

Definition at line 173 of file gr533x_hal_pwm.h.

## ◆ bstoplvl

uint32_t pwm_none_coding_init_t::bstoplvl

Specifies the PWM io level when stop. This parameter can be a value of PWM stop level.

Definition at line 179 of file gr533x_hal_pwm.h.

## ◆ channel_a

pwm_none_coding_channel_init_t pwm_none_coding_init_t::channel_a

Specifies the configuration parameters of channel A.

Definition at line 182 of file gr533x_hal_pwm.h.

## ◆ channel_b

pwm_none_coding_channel_init_t pwm_none_coding_init_t::channel_b

Specifies the configuration parameters of channel B.

Definition at line 184 of file gr533x_hal_pwm.h.

## ◆ channel_c

pwm_none_coding_channel_init_t pwm_none_coding_init_t::channel_c

Specifies the configuration parameters of channel C.

Definition at line 186 of file gr533x_hal_pwm.h.

## ◆ freq

uint32_t pwm_none_coding_init_t::freq

Specifies the PWM frequency. This parameter must be a number between 0 ~ SystemFreq/2.

Definition at line 170 of file gr533x_hal_pwm.h.

## ◆ hperiod

uint32_t pwm_none_coding_init_t::hperiod

Specifies the PWM hold period in breath mode. Unit: ms. This parameter must be a number between 0 ~ 0xFFFFFF/SystemFreq*1000.

Definition at line 176 of file gr533x_hal_pwm.h.

The documentation for this struct was generated from the following file:

- gr533x_hal_pwm.h